% Clean Up
clear all
close all
bdclose all
clc



% Load Linear Model
load LinModels17



% Sample Time
SampleTime = 0.02;



%% ======================== Lateral Baseline Control ====================%%

% YAW DAMPER
k_YD=0.065;

a_YD=-2.0;
K_YD=zpk(0,a_YD,k_YD);   % Washout filter
K_YDz = c2d(K_YD,SampleTime);
[YDz_num,YDz_den]=tfdata(K_YDz,'v'); % obtain discrete T.F. coefficients

% ROLL TRACKER
kp_RT= -.64; 
ki_RT= -.2;
kp_RD=  -0.07; % Roll damper

    
    
%% ====================== Longitudinal Baseline Control =================%%

% THETA TRACKER
kp_PT=-.9;    
ki_PT=-.3;
kp_PD=-.08; % Pitch damper

theta_trim = 0; % 5; zero since the model is linear 
    

pitch_gains = [kp_PT, ki_PT, kp_PD];
roll_gains = [kp_RT, ki_RT, kp_RD];
yaw_damper_num = [YDz_num]; % discrete transfer function yaw damper coefficients
yaw_damper_den = [YDz_den];
        
        


%% ====================== Heading/Altitude Control ======================%%        
V_trim = 0; % 17; zero since the model is linear 
alt_trim = 0; % 100; zero since the model is linear 
psi_trim = 0; % 0; zero since the model is linear  
        
phi_sat = 45;   % phi cotnroller output saturation
theta_sat = 20; % altitude controller output saturation
        
% Velocity Tracker
kp_VT =  .15; 
ki_VT = .04;
% Altitude Tracker
kp_AT=  .023; 
ki_AT = 0.0010;
% Heading Tracker
kp_HT = 1.5;

% Low pass filter for altitude and velocity with pole at 2 rad/sec
LP_filter=[0 0.0392;1 -.9608];






